package org.ow2.bonita.facade.runtime;

import java.io.Serializable;
import java.util.Date;


/**
 * Interface providing methods to get informations about state changes of the process instance.
 */
public interface InstanceStateUpdate extends Serializable {
  /**
   * Returns the date of the update.
   * @return The date of the update.
   */
  Date getUpdatedDate();

  /**
   * Returns the user Id who made the update.
   * @return The assigned user Id.
   */
  String getUpdatedBy();

  /**
   * Returns the  state at assignment.
   * @return The  state at assignment.
   */
  InstanceState getInstanceState();

  /**
   * Returns the initial state.
   * @return The initial state.
   */
  InstanceState getInitialInstanceState();

}
