package org.ow2.bonita.facade.runtime;

import java.io.Serializable;
import java.util.Date;


/**
 * Interface providing common methods to get informations about state and assignment changes of the task.
 */
public interface Update extends Serializable {
  /**
   * Returns the date of the update.
   * @return The date of the update.
   */
  Date getUpdatedDate();

  /**
   * Returns the user Id who made the update.
   * @return The assigned user Id.
   */
  String getUpdatedBy();

  /**
   * Returns the  state at assignment.
   * @return The  state at assignment.
   */
  ActivityState getActivityState();

}
