/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 * 
 * Modified by Matthieu Chaffotte - BonitaSoft S.A.
 **/
package org.ow2.bonita.facade.uuid;

/**
 * This class implements the UUID for {@link org.ow2.bonita.facade.runtime.ActivityInstance}
 */
public class ActivityInstanceUUID extends AbstractUUID {

  /**
   * 
   */
  private static final long serialVersionUID = 4202285835962832398L;

  protected ActivityInstanceUUID() {
    super();
  }

  public ActivityInstanceUUID(ActivityInstanceUUID src) {
    super(src);
  }

  public ActivityInstanceUUID(String value) {
    //this method is necessary to allow admin consoles to create a UUID from a string value
    super(value);
  }

  public ActivityInstanceUUID(ProcessInstanceUUID instanceUUID, String activityName, String activityNb) {
    this(instanceUUID + SEPARATOR + activityName + SEPARATOR + activityNb);
  }

  public ProcessInstanceUUID getProcessInstanceUUID() {
    String processInstanceUUID = "";
    String[] values = value.split(SEPARATOR);
    int max = values.length - 3;
    for (int i = 0 ; i <= max ; i++) {
      processInstanceUUID += values[i];
      processInstanceUUID += SEPARATOR;
    }
    processInstanceUUID = processInstanceUUID.substring(0, processInstanceUUID.lastIndexOf(SEPARATOR));
    return new ProcessInstanceUUID(processInstanceUUID);
  }

  public String getActivityName() {
    String[] values = value.split(SEPARATOR);
    return values[values.length - 2];
  }

  public String getActivityNb() {
    String[] values = value.split(SEPARATOR);
    return values[values.length - 1];
  }
}
